<?php

include_once "../dbconection.php";
include_once "../funciones.php";
include_once "../errorhandler.php";

$method = $_REQUEST['method'];

if($method=="insertar"){ 
	$sJSON = "";	

	//$strEmailCliente = $_REQUEST['strEmailCliente'];
	//$strEmailCliente = "kropijac@gmail.com";
	$intCliente = $_REQUEST['intCliente'];
	
	if($intCliente!=""){
		$intUsuario = $_REQUEST['intUsuario'];
		$strMensaje = $_REQUEST['strMensaje'];
		
		$intTipo = $_REQUEST['intTipo'];
		if($intTipo==1){
			$datFechaLeidoAdmin = "CURRENT_TIMESTAMP";
			$datFechaLeidoUsuario = 'NULL';
		}else{
			$datFechaLeidoAdmin = 'NULL';
			$datFechaLeidoUsuario = "CURRENT_TIMESTAMP";
		}
		
		$sqlQuery = "INSERT INTO tblmensajes  (intCliente , intUsuario, strMensaje, datFechaLeidoAdmin, datFechaLeidoUsuario, datFechaAlta) 
		VALUES (". $intCliente .",". $intUsuario .",'". $strMensaje ."',". $datFechaLeidoAdmin .",". $datFechaLeidoUsuario .", CURRENT_TIMESTAMP)";
		//exit($sqlQuery);
		
		//mysql_query($sqlQuery);
		
		$sJSON = "";
		
		$sJSON = $sqlQuery;
		$queryResult = $mysqli->query($sqlQuery);
		
		if($queryResult){
			$sJSON .= "Comentario agregado con exito";
		}else{
			$sJSON .= "Error: Error al agregar el comentario";
		}

	}else{
		$sJSON="Error: El documento no puede ser nulo";
	}

	print($sJSON);

}else if($method=="getData"){
	$sJSON = "";

	$intCliente = $_REQUEST['intCliente'];
	$strTabla = $_REQUEST['strTabla'];
	
	if($intCliente!=""){	
	
		$sqlQuery = "SELECT t1.* FROM ". $strTabla ." t1 WHERE intCliente = ". $intCliente ." ";
		//exit($sqlQuery);
		$queryResult = $mysqli->query($sqlQuery);	
		$totalRows = $queryResult->num_rows;
				
		//$sJSON = '{"Expediente":[';
		$sJSON = '';

		if($totalRows>0){

	        $finfo = $queryResult->fetch_fields();
	   		
			$sJSON .= "{";

			while ($row = mysqli_fetch_array($queryResult)) {
				$i=0;
				foreach ($finfo as $val) {
	            	//printf("Name:      %s\n",   $val->name);
					$sJSON .= '"'. $val->name .'":"'. $row[$val->name] .'",';

					$i++;
	        	}
			}
			
			$sJSON = substr($sJSON, 0, -1);
			
			$sJSON .= "}";		

		}
		//$sJSON .= "]}";
			
		print($sJSON);
		
	}else{
		print("El envio del id del cliente no puede ser nulo.");
	}

}else if($method=="guardarHF"){ 
	$sJSON = "";	

	$intEmpresa = $_REQUEST['intEmpresa'];
	$intCliente = $_REQUEST['intCliente'];
	$intUsuario = $_REQUEST['intUsuario'];

	$strDiabetes = $_REQUEST['strDiabetes'];
	$strCardiopatias = $_REQUEST['strCardiopatias'];
	$strHipertensionArterial = $_REQUEST['strHipertensionArterial'];
	$strEnfermedadesTiroideas = $_REQUEST['strEnfermedadesTiroideas'];
	$strOtros = $_REQUEST['strOtros'];
	
	if($intCliente!=""){
		$intIdAut = "";

		$sqlQuery = "SELECT intIdAut FROM tblheredofamiliares WHERE intCliente=". $intCliente;
		//exit($sqlQuery);
		$queryResult = $mysqli->query($sqlQuery);	
		$totalRows = $queryResult->num_rows;
		
		if($totalRows>0){
			$row = mysqli_fetch_array($queryResult);
			$intIdAut = $row['intIdAut'];
		}

		$queryResult->free();

		if($intIdAut!=""){ //UPDATE
			$sqlQuery = "UPDATE tblheredofamiliares SET intEmpresa=".$intEmpresa.", intUsuario=".$intUsuario."
			, strDiabetes='".$strDiabetes."'
			, strCardiopatias='".$strCardiopatias."'
			, strHipertensionArterial='".$strHipertensionArterial."'
			, strEnfermedadesTiroideas='".$strEnfermedadesTiroideas."'
			, strOtros='".$strOtros."'
			WHERE intIdAut = ".$intIdAut."";
		}else{
			$sqlQuery = "INSERT INTO tblheredofamiliares (intEmpresa, intCliente, intUsuario, strDiabetes, strCardiopatias, strHipertensionArterial, strEnfermedadesTiroideas, strOtros, datFecha) 
			VALUES (". $intEmpresa .",". $intCliente .",". $intUsuario .",'". $strDiabetes ."','". $strCardiopatias ."','". $strHipertensionArterial ."','". $strEnfermedadesTiroideas ."','". $strOtros ."', CURRENT_TIMESTAMP)";
		}
		//exit($sqlQuery);
			
		$sJSON = "";
		$queryResult = $mysqli->query($sqlQuery);
		
		if($queryResult){
			$sJSON .= "Antecedentes heredofamiliares guardados con éxito";
		}else{
			$sJSON .= "Error: Error al guardar los antecedentes heredofamiliares";
		}

	}else{
		$sJSON="Error: Debe agregar todos los datos.";
	}

	print($sJSON);

}else if($method=="guardarP"){ 
	$sJSON = "";	

	$intEmpresa = $_REQUEST['intEmpresa'];
	$intCliente = $_REQUEST['intCliente'];
	$intUsuario = $_REQUEST['intUsuario'];

	$strHospitalizacion = $_REQUEST['strHospitalizacion'];
	$strCirugias = $_REQUEST['strCirugias'];
	$strDiabetes = $_REQUEST['strDiabetes'];
	$strTiroideas = $_REQUEST['strTiroideas'];
	$strHipertension = $_REQUEST['strHipertension'];
	
	$strCardiopatias = $_REQUEST['strCardiopatias'];
	$strTraumatismos = $_REQUEST['strTraumatismos'];
	$strCancer = $_REQUEST['strCancer'];
	$strTuberculosis = $_REQUEST['strTuberculosis'];
	
	$strTransfusiones = urldecode( $_REQUEST['strTransfusiones'] );
	//$strTransfusiones =  $_REQUEST['strTransfusiones'] ;
	//$strTransfusiones = preg_replace("/%u([0-9a-f]{3,4})/i","&#x\\1;",urldecode($strTransfusiones)); 
	//$strTransfusiones = html_entity_decode($strTransfusiones,null,'ISO-8859-1');

	if($intCliente!=""){
		$intIdAut = "";

		$sqlQuery = "SELECT intIdAut FROM tblpatologicos WHERE intCliente=". $intCliente;
		//exit($sqlQuery);
		$queryResult = $mysqli->query($sqlQuery);	
		$totalRows = $queryResult->num_rows;
		
		if($totalRows>0){
			$row = mysqli_fetch_array($queryResult);
			$intIdAut = $row['intIdAut'];
		}

		$queryResult->free();

		if($intIdAut!=""){ //UPDATE
			$sqlQuery = "UPDATE tblpatologicos SET intEmpresa=".$intEmpresa.", intUsuario=".$intUsuario."
			, strHospitalizacion='".$strHospitalizacion."'
			, strCirugias='".$strCirugias."'
			, strDiabetes='".$strDiabetes."'
			, strTiroideas='".$strTiroideas."'
			, strHipertension='".$strHipertension."'
			, strCardiopatias='".$strCardiopatias."'
			, strTraumatismos='".$strTraumatismos."'
			, strCancer='".$strCancer."'
			, strTuberculosis='".$strTuberculosis."'
			, strTransfusiones='".$strTransfusiones."'
			WHERE intIdAut = ".$intIdAut."";
		}else{
			$sqlQuery = "INSERT INTO tblpatologicos (intEmpresa, intCliente, intUsuario, strHospitalizacion, strCirugias, strDiabetes, strTiroideas, strHipertension, strCardiopatias, strTraumatismos, strCancer, strTuberculosis, strTransfusiones, datFecha) 
			VALUES (". $intEmpresa .",". $intCliente .",". $intUsuario .",'". $strHospitalizacion ."','". $strCirugias ."','". $strDiabetes ."','". $strTiroideas ."','". $strHipertension ."','". $strCardiopatias ."','". $strTraumatismos ."','". $strCancer ."','". $strTuberculosis ."','". $strTransfusiones ."', CURRENT_TIMESTAMP)";
		}
		//exit($sqlQuery);
			
		$sJSON = "";
		$queryResult = $mysqli->query($sqlQuery);
		
		if($queryResult){
			$sJSON .= "Antecedentes patológicos guardados con éxito";
		}else{
			$sJSON .= "Error: Error al guardar los antecedentes patológicos";
		}

	}else{
		$sJSON="Error: Debe agregar todos los datos.";
	}

	print($sJSON);

}else if($method=="guardarNotasPad"){ 
	$sJSON = "";	

	if($method=="guardarNotasPad"){ 
		$strTabla = "tblnotas";
		$strSeccion = "Notas de padecimiento";
	}else if($method=="guardarExaFis"){ 
		$strTabla = "tblexamenfisico";
		$strSeccion = "Examen físico";
	}else if($method=="guardarDiag"){ 
		$strTabla = "tbldiagnosticoytratamiento";
		$strSeccion = "Diagnóstico y tratamiento";
	}

	$intEmpresa = $_REQUEST['intEmpresa'];
	$intCliente = $_REQUEST['intCliente'];
	$intUsuario = $_REQUEST['intUsuario'];

	$strHospitalizacion = $_REQUEST['strHospitalizacion'];
	$strCirugias = $_REQUEST['strCirugias'];
	$strDiabetes = $_REQUEST['strDiabetes'];
	$strTiroideas = $_REQUEST['strTiroideas'];
	$strHipertension = $_REQUEST['strHipertension'];
	
	$strCardiopatias = $_REQUEST['strCardiopatias'];
	$strTraumatismos = $_REQUEST['strTraumatismos'];
	$strCancer = urldecode( $_REQUEST['strCancer'] );
	$strTuberculosis = urldecode( $_REQUEST['strTuberculosis'] );
	
	$strTransfusiones = urldecode( $_REQUEST['strTransfusiones'] );

	//$strTransfusiones =  $_REQUEST['strTransfusiones'] ;
	//$strTransfusiones = preg_replace("/%u([0-9a-f]{3,4})/i","&#x\\1;",urldecode($strTransfusiones)); 
	//$strTransfusiones = html_entity_decode($strTransfusiones,null,'ISO-8859-1');

	if($intCliente!=""){
		$intIdAut = "";

		$sqlQuery = "SELECT intIdAut FROM ". $strTabla ." WHERE intCliente=". $intCliente;
		//exit($sqlQuery);
		$queryResult = $mysqli->query($sqlQuery);	
		$totalRows = $queryResult->num_rows;
		
		if($totalRows>0){
			$row = mysqli_fetch_array($queryResult);
			$intIdAut = $row['intIdAut'];
		}

		$queryResult->free();

		if($intIdAut!=""){ //UPDATE
			$sqlQuery = "UPDATE ". $strTabla ." SET intEmpresa=".$intEmpresa.", intUsuario=".$intUsuario."
			, strHospitalizacion='".$strHospitalizacion."'
			, strCirugias='".$strCirugias."'
			, strDiabetes='".$strDiabetes."'
			, strTiroideas='".$strTiroideas."'
			, strHipertension='".$strHipertension."'
			, strCardiopatias='".$strCardiopatias."'
			, strTraumatismos='".$strTraumatismos."'
			, strCancer='".$strCancer."'
			, strTuberculosis='".$strTuberculosis."'
			, strTransfusiones='".$strTransfusiones."'
			WHERE intIdAut = ".$intIdAut."";
		}else{
			$sqlQuery = "INSERT INTO ". $strTabla ." (intEmpresa, intCliente, intUsuario, strHospitalizacion, strCirugias, strDiabetes, strTiroideas, strHipertension, strCardiopatias, strTraumatismos, strCancer, strTuberculosis, strTransfusiones, datFecha) 
			VALUES (". $intEmpresa .",". $intCliente .",". $intUsuario .",'". $strHospitalizacion ."','". $strCirugias ."','". $strDiabetes ."','". $strTiroideas ."','". $strHipertension ."','". $strCardiopatias ."','". $strTraumatismos ."','". $strCancer ."','". $strTuberculosis ."','". $strTransfusiones ."', CURRENT_TIMESTAMP)";
		}
		//exit($sqlQuery);
			
		$sJSON = "";
		$queryResult = $mysqli->query($sqlQuery);
		
		if($queryResult){
			$sJSON .= $strSeccion ." guardados con éxito";
		}else{
			$sJSON .= "Error: Error al guardar los ". strtolower($strSeccion);
		}

	}else{
		$sJSON="Error: Debe agregar todos los datos.";
	}

	print($sJSON);
}

?>